WordPress.org

Support

Support » Plugins and Hacks » BulletProof Security » [Resolved] [Plugin: BulletProof Security] Parse error: syntax error, unexpected T_VARIABLE

[Resolved] [Plugin: BulletProof Security] Parse error: syntax error, unexpected T_VARIABLE

  • Hi AIT pro.

    I installed BPS correctly.
    Then, I created magic bouttons both: default and secure.

    1) I activate Website wp-admin Folder in bullet proof mode. installed OK! I refresh browser and YES it works.
    2) Then I activate Website Root Folder in bullet proof mode. BPS says it is all ok. I refresh browser and it is NOT working. I have this terrific message:
    Parse error: syntax error, unexpected T_VARIABLE in /homezXXX/chXXXo/eolienne-pour-particuliers.fr/wp-includes/option.php on line 225

    When I refresh WP admin I have kind of same message.

    I spent few hours trying to solve this and looking for post but I cannot find any help.

    Please could you show me the light on that one…?

    http://wordpress.org/extend/plugins/bulletproof-security/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author AITpro

    @aitpro

    This type of error usually indicates that you have a coding mistake. The code line that is indicated is 225 in a the wp-includes/option.php file, which is a WP Core file. But the real problem is that most likely you have a using an older version of PHP on your Server/website. BPS requires PHP5. You may need to either change this in your web host control panel or by using a PHP handler in your root .htaccess file.

    See this thread post >>> http://wordpress.org/support/topic/getting-parse-error-syntax-error-unexpected-t_variable?replies=19

    To run WordPress your host just needs a couple of things:
    PHP version 5.2.4 or greater
    MySQL version 5.0 or greater

    Thanks for your quick answer!

    PROBLEM SOLVED !!

    I just add this line :

    SetEnv PHP_VER 5

    at the end of secure.htaccess file

    For information my hosting is OVH mutualisé PRO.

    Thanks again!!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] [Plugin: BulletProof Security] Parse error: syntax error, unexpected T_VARIABLE’ is closed to new replies.
Skip to toolbar